summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--app-text/wgetpaste/files/wgetpaste-2.28-remove-broken-services.patch20
-rw-r--r--app-text/wgetpaste/wgetpaste-2.28-r2.ebuild29
2 files changed, 49 insertions, 0 deletions
diff --git a/app-text/wgetpaste/files/wgetpaste-2.28-remove-broken-services.patch b/app-text/wgetpaste/files/wgetpaste-2.28-remove-broken-services.patch
new file mode 100644
index 00000000000..f648a6d15eb
--- /dev/null
+++ b/app-text/wgetpaste/files/wgetpaste-2.28-remove-broken-services.patch
@@ -0,0 +1,20 @@
+--- a/wgetpaste 2019-02-22 09:16:47.016742824 +0100
++++ a/wgetpaste 2019-02-22 09:21:05.049530136 +0100
+@@ -14,7 +14,7 @@ E=$'\e'
+ N=$'\n'
+
+ ### services
+-SERVICES="codepad bpaste dpaste gists poundpython"
++SERVICES="bpaste dpaste"
+ # bpaste
+ ENGINE_bpaste=pinnwand
+ URL_bpaste="https://bpaste.net/"
+@@ -722,7 +722,7 @@ load_configs() {
+ load_configs
+ [[ $SERVICESET ]] && verifyservice "$SERVICESET" && SERVICE=$(escape "$SERVICESET")
+ DEFAULT_NICK=${DEFAULT_NICK:-$(whoami)} || die "whoami failed"
+-DEFAULT_SERVICE=${DEFAULT_SERVICE:-poundpython}
++DEFAULT_SERVICE=${DEFAULT_SERVICE:-bpaste}
+ DEFAULT_LANGUAGE=${DEFAULT_LANGUAGE:-Plain Text}
+ DEFAULT_EXPIRATION=${DEFAULT_EXPIRATION:-1 month}
+ SERVICE=${SERVICE:-${DEFAULT_SERVICE}}
diff --git a/app-text/wgetpaste/wgetpaste-2.28-r2.ebuild b/app-text/wgetpaste/wgetpaste-2.28-r2.ebuild
new file mode 100644
index 00000000000..bae4fd9c2dc
--- /dev/null
+++ b/app-text/wgetpaste/wgetpaste-2.28-r2.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+DESCRIPTION="Command-line interface to various pastebins"
+HOMEPAGE="http://wgetpaste.zlin.dk/"
+SRC_URI="http://wgetpaste.zlin.dk/${P}.tar.bz2"
+
+LICENSE="public-domain"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
+IUSE="+ssl"
+
+DEPEND=""
+RDEPEND="net-misc/wget[ssl?]"
+
+PATCHES=( "${FILESDIR}"/wgetpaste-2.28-remove-broken-services.patch )
+
+src_prepare() {
+ sed -i -e "s:/etc:\"${EPREFIX}\"/etc:g" wgetpaste || die
+ default
+}
+
+src_install() {
+ dobin ${PN}
+ insinto /usr/share/zsh/site-functions
+ doins _wgetpaste
+}